Extending Qt Creator Manual | BasicLocatorFilterTest

Extending Qt Creator Manual 4.5.2

# BasicLocatorFilterTest Class

(Core::Tests::BasicLocatorFilterTest)

- List of all members, including inherited members

## Public Functions

| BasicLocatorFilterTest(ILocatorFilter *filter)
virtual | ~BasicLocatorFilterTest()
QList<LocatorFilterEntry> | matchesFor(const QString &searchText = QString())

## Member Function Documentation

### BasicLocatorFilterTest::BasicLocatorFilterTest(ILocatorFilter *filter)

Default constructs an instance of BasicLocatorFilterTest.

### `[virtual]` BasicLocatorFilterTest::~BasicLocatorFilterTest()

Destroys the instance of BasicLocatorFilterTest. The destructor is virtual.

### QList<LocatorFilterEntry> BasicLocatorFilterTest::matchesFor(const QString &searchText = QString())